Page MenuHomePhabricator

[NFC][SCEV] SCEVExpander::isHighCostExpansionHelper(): check that we processed expression first
ClosedPublic

Authored by lebedev.ri on Jan 30 2020, 6:37 AM.

Details

Summary

As far as i can tell this is still NFC.
Initially in rL146438 it was added at the top of the function,
later rL238507 dethroned it, and rL244474 did it again.

I'm not sure if we have already checked the cost of this expansion, we should be doing that again.

Diff Detail

Event Timeline

lebedev.ri created this revision.Jan 30 2020, 6:37 AM

Rebased, NFC.

mkazantsev accepted this revision.Feb 4 2020, 7:18 PM

There is no possible situation when it matters, but fine. Making this check first sounds reasonable. LGTM.

This revision is now accepted and ready to land.Feb 4 2020, 7:18 PM
lebedev.ri updated this revision to Diff 242583.Feb 5 2020, 6:06 AM

Rebased, NFC.

Rebased, NFC.

This revision was automatically updated to reflect the committed changes.